Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Protected Attributes
tlp::PropertyEvent Class Reference
Properties

Event class for specific events on PropertyInterface. More...

`#include <PropertyInterface.h>`

Inheritance diagram for tlp::PropertyEvent:
[legend]
Collaboration diagram for tlp::PropertyEvent:
[legend]

List of all members.

## Public Types

- enum PropertyEventType {
  TLP_BEFORE_SET_NODE_VALUE = 0, TLP_AFTER_SET_NODE_VALUE, TLP_BEFORE_SET_ALL_NODE_VALUE, TLP_AFTER_SET_ALL_NODE_VALUE,
  TLP_BEFORE_SET_ALL_EDGE_VALUE, TLP_AFTER_SET_ALL_EDGE_VALUE, TLP_BEFORE_SET_EDGE_VALUE, TLP_AFTER_SET_EDGE_VALUE
  }

## Public Member Functions

- PropertyEvent (const PropertyInterface &prop, PropertyEventType propEvtType, Event::EventType evtType=Event::TLP_MODIFICATION, unsigned int id=UINT_MAX)
- PropertyInterface * getProperty () const
- node getNode () const
- edge getEdge () const
- PropertyEventType getType () const

## Protected Attributes

- PropertyEventType evtType
- unsigned int eltId

## Detailed Description

Event class for specific events on PropertyInterface.

## Member Enumeration Documentation

enum tlp::PropertyEvent::PropertyEventType

Enumerator:

  TLP_BEFORE_SET_NODE_VALUE |
  TLP_AFTER_SET_NODE_VALUE |
  TLP_BEFORE_SET_ALL_NODE_VALUE |
  TLP_AFTER_SET_ALL_NODE_VALUE |
  TLP_BEFORE_SET_ALL_EDGE_VALUE |
  TLP_AFTER_SET_ALL_EDGE_VALUE |
  TLP_BEFORE_SET_EDGE_VALUE |
  TLP_AFTER_SET_EDGE_VALUE |

Tulip Software by LaBRI Visualization Team 2001 - 2012